Bug 45430 - NFSD Crashes as soon as network accesses mounts
NFSD Crashes as soon as network accesses mounts
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: nfs-server (Show other bugs)
6.2
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Steve Dickson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-06-21 16:21 EDT by Alex Short
Modified: 2007-04-18 12:33 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-08-11 06:34:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alex Short 2001-06-21 16:21:36 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.01; Windows 98)

Description of problem:
Have tried both the 2.2.14-50 and 2.2.16 RH Kernel and used stock nfs-
utils from the 6.2 cd (nfs-utils-0.1.6-2) as well as tried the version 
listed on the RedHat Updates page.  About 15 workstations use this server 
to mount their home directories and has worked without problem for over a 
year.
Now we get this message whenever we try starting the nfs startup script.
Installing knfsd (copyright (C) 1996 okir@monad.swb.de).
nfsd_fh_init : initialized fhcache, entries=1024
Unable to handle kernel NULL pointer dereference at virtual address 
00000008
current->tss.cr3 = 00101000, %cr3 = 00101000
*pde = 00000000
Oops: 0000
CPU:    0
EIP:    0010:[<d00c195c>]
EFLAGS: 00010282
eax: 00000000   ebx: cc0ec800   ecx: 00000000   edx: c38e001c
esi: cc0ec800   edi: c38e0014   ebp: c38e0014   esp: c3c53f6c
ds: 0018   es: 0018   ss: 0018
Process nfsd (pid: 1189, process nr: 85, stackpage=c3c53000)
Stack: c38e0014 d00bb44e cc0ec800 c38e001c c9b88020 cc0ec8f4 d00c4860 
cc0ec800 
       d00670a1 cc0ec800 c38e0014 c3c52000 c3c52000 00000001 cc0ec800 
c1a73846 
       00000002 000186a3 00000002 d00c470c 00000000 00000000 d00bb223 
c60a0f60 
Call Trace: [<d00bb44e>] [<d00c4860>] [<d00670a1>] [<d00c470c>] 
[<d00bb223>] [<c01086d7>] 
Code: 8b 58 08 85 db 75 07 31 d2 e9 fc 00 00 00 66 8b 43 22 66 c1 

How reproducible:
Sometimes

Steps to Reproduce:
1.Boot Machine
2.Start nfs via /etc/rc.d/init.d/nfs start
3.Crash
	

Actual Results:  Installing knfsd (copyright (C) 1996 okir@monad.swb.de).
nfsd_fh_init : initialized fhcache, entries=1024
Unable to handle kernel NULL pointer dereference at virtual address 
00000008
current->tss.cr3 = 00101000, %cr3 = 00101000
*pde = 00000000
Oops: 0000
CPU:    0
EIP:    0010:[<d00c195c>]
EFLAGS: 00010282
eax: 00000000   ebx: cc0ec800   ecx: 00000000   edx: c38e001c
esi: cc0ec800   edi: c38e0014   ebp: c38e0014   esp: c3c53f6c
ds: 0018   es: 0018   ss: 0018
Process nfsd (pid: 1189, process nr: 85, stackpage=c3c53000)
Stack: c38e0014 d00bb44e cc0ec800 c38e001c c9b88020 cc0ec8f4 d00c4860 
cc0ec800 
       d00670a1 cc0ec800 c38e0014 c3c52000 c3c52000 00000001 cc0ec800 
c1a73846 
       00000002 000186a3 00000002 d00c470c 00000000 00000000 d00bb223 
c60a0f60 
Call Trace: [<d00bb44e>] [<d00c4860>] [<d00670a1>] [<d00c470c>] 
[<d00bb223>] [<c01086d7>] 
Code: 8b 58 08 85 db 75 07 31 d2 e9 fc 00 00 00 66 8b 43 22 66 c1 

Expected Results:  No call trace.

Additional info:

IBM Netfinity 5100 Running Redhat 6.2.  Have attempted to run the 2.2.14-
50 kernel as well as 2.2.16. 
/etc/exports has simply
/export (rw)
Comment 1 Arjan van de Ven 2001-06-21 16:29:04 EDT
Could you please try kernel 2.2.19? it has a majorly revamped nfs server!
(for one, it does NFSv3 which is a huge performance increase)
Comment 2 Alex Short 2001-06-21 16:54:27 EDT
The netfinity has a RAID controller that requires ServerRaid drivers provided 
by IBM.
The RH Drivers are here : ftp://ftp.pc.ibm.com/pub/pccbbs/pc_servers/25p2560.exe
The Source : ftp://ftp.pc.ibm.com/pub/pccbbs/pc_servers/25p2559.tgz

The patches only go up to 2.2.18, but i even tried moving the source into 
2.2.19's /arch/drivers/scsi overwriting the ips files there and compiling 
ServerRAID as a module and compiling the kernel.  Then i did a mkinitrd to make 
a ram disk but the kernel panics trying to load root fs on boot.

Alex

Note You need to log in before you can comment on or make changes to this bug.